<script lang="ts">
import Vue from 'vue';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import {
  SlpContainer,
  AnchorDropdown,
  CTA as CallToAction,
  Copy,
} from '../../components/common/index';
import { SideMenu } from '~/components/side-menu/index';
import { getPageMetadata } from '~/common/meta';

export default Vue.extend({
  components: {
    Copy,
    AnchorDropdown,
    SideMenu,
    SlpContainer,
    // eslint-disable-next-line vue/no-unused-components
    CallToAction,
  },
  async asyncData({ $content, params, error }: any) {
    try {
      const support = await $content(
        `support/${params.support ? params.support : 'index'}`,
      ).fetch();
      return { support };
    } catch (e) {
      error({ statusCode: 404 });
      return {};
    }
  },

  head(): MetaInfo {
    return getPageMetadata((this as any).support, this.$route.path);
  },
});
</script>

<template>
  <SlpContainer>
    <SideMenu v-if="support.side_menu" :links="support.side_menu.links" />
    <anchor-dropdown
      :options="support.side_menu.links"
      fixed
      label="On this page: "
    />
    <SlpColumn :cols="10" size="xl" class="slp-card slp-mt-96">
      <component
        :is="component.name"
        v-for="component in support.components"
        :key="component.name"
        :data="component.data"
      />
    </SlpColumn>
  </SlpContainer>
</template>

<style scoped></style>
